<?
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| THEME: Ferrari
+----------------------------------------------------+
| Copyright  2005 Nichelini Giuseppe	
| http://www.nichelini.it/
+----------------------------------------------------*/
// theme settings
$body_text = "#cccccc";
$body_bg = "#485f5c";
$theme_width = "100%";
$theme_width_l = "170";
$theme_width_r = "170";

function render_header($header_content) {
	
global $theme_width,$settings,$locale,$mydate;

echo "<table align='center' width='$theme_width' cellspacing='0' cellpadding='0'>
<tr><td><table width='100%' cellspacing='0' cellpadding='0'>
<tr><td class='full-header' style='padding:5px;'>
$header_content
</td>
</tr></table>\n";
echo "<table width='100%' cellspacing='0' cellpadding='0'>\n<tr><td class='white-header'>\n";
$result = dbquery("SELECT * FROM ".DB_PREFIX."site_links WHERE link_position>='2' ORDER BY link_order");
if (dbrows($result) != 0) {
	$i = 0;
	while($data = dbarray($result)) {
		if (checkgroup($data['link_visibility'])) {
			if ($data['link_url']!="---") {
				if ($i != 0) { echo " \n"; } else { echo "\n"; }
				$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
				if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
					echo "<a href='".$data['link_url']."'".$link_target.">".$data['link_name']."</a>";
				} else {
					echo "<a href='".BASEDIR.$data['link_url']."'".$link_target.">".$data['link_name']."</a>";
				}
			}
			$i++;
		}
	}
}
echo ($i == 0 ? "&nbsp;" : "")."</td><td align='right' class='white-header'>".ucwords(showdate($mydate, time()))."</td>
</tr></table>\n";
tablebreak();
echo "<table width='100%' cellspacing='0' cellpadding='0' align='center' border='0'>\n<tr>\n";
}

function render_footer($license=false) {
global $theme_width,$settings,$locale;

$textfooter = $settings['counter']." ".($settings['counter'] == 1 ? $locale['140']."&nbsp; | &nbsp; \n" : $locale['141']."&nbsp; | &nbsp; \n");
if ($license == false) {
   $textfooter .= "Powered by <a target='_blank' href='http://www.php-fusion.co.uk' class='white'><img src='".THEME."images/pf_red.gif' style='vertical-align:top;' alt='powered by php-fusion' border='0'></a> v".$settings['version']."  2003-2005\n";
   $textfooter .= "&nbsp; | &nbsp; Theme Ferrari <a target='_blank' href='http://www.nichelini.it' class='white'><img src='".THEME."images/nick56_micro.gif' style='vertical-align:top;' alt='Design by Nick56'  border='0'></a>\n";
}  
echo "</tr>\n</table>\n";
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr><td class='white-header' align='center' width='33%'>".$textfooter."</td>\n";
echo "</tr></table></td></tr></table>\n";
}

function render_news($subject, $news, $info) {
global $locale,$mydate;
	

opentable($subject);
echo $news;
echo "<br><br></td></tr></table>";
echo "<table width='95%' cellpadding='0' cellspacing='0' align='center' class='border'>\n";
echo "<tr><td class='news-footer' align='left'>";
echo "".$locale['040']."<a href='profile.php?lookup=$info[user_id]'>".$info['user_name']."</a> ";
echo "".$locale['041'].showdate($mydate, $info['news_date'])."</td>\n";
echo "<td align='right' class='news-footer'>\n";
if ($info['news_allow_comments'] == "y") { echo "<a href='readmore.php?news_id=$info[news_id]'>".$locale['042']."</a> | \n"; }
echo "<a href='readmore.php?news_id=$info[news_id]'>".$info['news_comments'].$locale['043']."</a> | ".$info['news_reads'].$locale['044']." | <a href='printer.php?type=N&item_id=$info[news_id]'>".$locale['045']."</a>\n";
closetable();
//tablebreak();
}

function render_article($subject, $article, $info) {
global $locale,$mydate;	

opentable($subject);
if ($info[4] == "y") { echo nl2br($article); } else { echo $article; }
echo "<br><br></td></tr></table>";
echo "<table width='95%' cellpadding='0' cellspacing='0' align='center' class='border'>";
echo "<tr><td class='news-footer' align='left'>";
echo "".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ";
echo "".$locale['041'].showdate($mydate, $info['article_date'])."</td>";
echo "<td align='right' class='news-footer'>";
if ($info['article_allow_comments']) echo $info['article_comments'].$locale['043']."  ";
echo "".$info['article_reads'].$locale['044']." - ";
echo "<a href='print.php?type=A&item_id=".$info['article_id']."'>".$locale['045']."</a>";
echo "</td></tr></table>";
closetable();
tablebreak();
}

// open the table
function opentable($title) {
echo "<table width='95%' cellpadding='0' cellspacing='0' align='center'>
<tr><td class='capleft'><img src='".THEME."images/blank.gif' width='2' height='20' alt='' style='display:block'></td>
<td class='capmain'>$title</td>
<td class='capright'><img src='".THEME."images/blank.gif' width='2' height='20' alt='' style='display:block'></td>
</tr></table>
<table width='95%' cellpadding='0' cellspacing='0' class='border' align='center'>
<tr><td class='body'>\n";
}
// close the table
function closetable() {
echo "</td></tr></table>\n";
}

function openside($title) {
echo "<table width='95%' cellpadding='0' cellspacing='0' align='center'>
<tr><td class='scapmain' valign='middle'>&nbsp;<img src='".THEME."images/bullet.gif'>&nbsp;&nbsp;".$title."</td></tr>
<td class='sbody'>\n";
}

function closeside() {
echo "</td></tr></table>\n";
tablebreak();
}

function opensidex($title,$open="on") {

if($open=="on"){$box_img="off";}else{$box_img="on";}
echo "<table width='95%' cellpadding='0' cellspacing='0' align='center'>
<tr><td class='scapmain' valign='middle'>&nbsp;<img src='".THEME."images/bullet.gif'>&nbsp;&nbsp;".$title."</td>
<td class='scapmain' align='right'>
<img onclick=\"javascript:flipBox('$title')\" name='b_$title' border='0' src='".THEME."images/panel_$box_img.gif'>
</td></tr></table>
<table width='95%' cellpadding='0' cellspacing='0' align='center'>
<tr><td class='sbody'>
<div id='box_$title'"; if($open=="off"){ echo "style='display:none'"; } echo ">\n";

}

function closesidex() {
echo "</div></td></tr></table>\n";
}


// table functions
function tablebreak() {
echo "<table width='98%' cellspacing='0' cellpadding='0'>
<tr><td height='8'></td></tr>
</table>\n";
}
?>